#!/bin/bash

THIS_SCRIPT=`basename $0`
PLACEHOLDER="yourpath"
DIR=.
TMP=/tmp/variable.txt

#adapts variables for use with sed
adapt_var()
{
    echo $1 >$TMP
    sed -i 's/\/$//g' $TMP #replace trailing "/"
    sed -i 's/\//\\\//g' $TMP #replace "/" with "\/"
}

# adapt_var $1
# var=`cat $TMP`
# echo $var
# exit 0

if [ $# -lt 1 ] || [ $# -gt 3 ]
then
        echo "usage : $0 <yourpath> [placeholder=yourpath] [DIR=.]"
	echo "Replaces placeholder with yourpath in all files except this script."
        exit 0
fi

if [ $# -eq 2 ]
then
	PLACEHOLDER=$2
fi
if [ $# -eq 3 ]
then
	PLACEHOLDER=$2
	DIR=$3
fi

#adapt variables for sed
adapt_var $1
REPLACEMENT=`cat $TMP`
adapt_var $PLACEHOLDER
PLACEHOLDER2=`cat $TMP`

cd $DIR
ls | grep -v $THIS_SCRIPT | xargs -n1 sed -i s/$PLACEHOLDER2/$REPLACEMENT/g

if ls */* >/dev/null
then
ls */* | grep -v $THIS_SCRIPT | xargs -n1 sed -i s/$PLACEHOLDER2/$REPLACEMENT/g
fi
